Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::HardwareVertexBufferSharedPtr Class Reference

Shared pointer implementation used to share index buffers. More...

`#include <OgreHardwareVertexBuffer.h>`

Inheritance diagram for Ogre::HardwareVertexBufferSharedPtr:

[legend]
List of all members.

## Public Member Functions
| HardwareVertexBufferSharedPtr ()
| HardwareVertexBufferSharedPtr (HardwareVertexBuffer *buf)
HardwareVertexBuffer & | operator * () const
HardwareVertexBuffer * | operator-> () const
HardwareVertexBuffer * | get () const
void | bind (HardwareVertexBuffer *rep)
| Binds rep to the SharedPtr.
bool | unique () const
unsigned int | useCount () const
unsigned int * | useCountPointer () const
HardwareVertexBuffer * | getPointer () const
bool | isNull (void) const
void | setNull (void)
## Protected Member Functions
void | release (void)
virtual void | destroy (void)
virtual void | swap (SharedPtr< HardwareVertexBuffer > &other)
## Protected Attributes
HardwareVertexBuffer * | pRep
unsigned int * | pUseCount

## Detailed Description

Shared pointer implementation used to share index buffers.

Definition at line 64 of file OgreHardwareVertexBuffer.h.

## Constructor & Destructor Documentation

Ogre::HardwareVertexBufferSharedPtr::HardwareVertexBufferSharedPtr | ( |  | ) |

| Definition at line 67 of file OgreHardwareVertexBuffer.h.

Ogre::HardwareVertexBufferSharedPtr::HardwareVertexBufferSharedPtr | ( | HardwareVertexBuffer * | buf | ) | `[explicit]`

## Member Function Documentation

void Ogre::SharedPtr< HardwareVertexBuffer >::bind | ( | HardwareVertexBuffer * | rep | ) | `[inherited]`

| Binds rep to the SharedPtr. Remarks: Assumes that the SharedPtr is uninitialised! Definition at line 137 of file OgreSharedPtr.h.

virtual void Ogre::SharedPtr< HardwareVertexBuffer >::destroy | ( | void |  | ) | `[protected, virtual, inherited]`

| Definition at line 191 of file OgreSharedPtr.h.

HardwareVertexBuffer * Ogre::SharedPtr< HardwareVertexBuffer >::get | ( |  | ) | const`[inherited]`

| Definition at line 131 of file OgreSharedPtr.h.

HardwareVertexBuffer * Ogre::SharedPtr< HardwareVertexBuffer >::getPointer | ( |  | ) | const`[inherited]`

| Definition at line 149 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< HardwareVertexBuffer >::isNull | ( | void |  | ) | const`[inherited]`

| Definition at line 151 of file OgreSharedPtr.h.

HardwareVertexBuffer & Ogre::SharedPtr< HardwareVertexBuffer >::operator * | ( |  | ) | const`[inherited]`

| Definition at line 129 of file OgreSharedPtr.h.

HardwareVertexBuffer * Ogre::SharedPtr< HardwareVertexBuffer >::operator-> | ( |  | ) | const`[inherited]`

| Definition at line 130 of file OgreSharedPtr.h.

void Ogre::SharedPtr< HardwareVertexBuffer >::release | ( | void |  | ) | `[protected, inherited]`

| Definition at line 165 of file OgreSharedPtr.h.

void Ogre::SharedPtr< HardwareVertexBuffer >::setNull | ( | void |  | ) | `[inherited]`

| Definition at line 153 of file OgreSharedPtr.h.

virtual void Ogre::SharedPtr< HardwareVertexBuffer >::swap | ( | SharedPtr< HardwareVertexBuffer > & | other | ) | `[protected, virtual, inherited]`

| Definition at line 202 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< HardwareVertexBuffer >::unique | ( |  | ) | const`[inherited]`

| Definition at line 145 of file OgreSharedPtr.h.

unsigned int Ogre::SharedPtr< HardwareVertexBuffer >::useCount | ( |  | ) | const`[inherited]`

| Definition at line 146 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< HardwareVertexBuffer >::useCountPointer | ( |  | ) | const`[inherited]`

| Definition at line 147 of file OgreSharedPtr.h.

## Member Data Documentation

HardwareVertexBuffer * Ogre::SharedPtr< HardwareVertexBuffer >::pRep`[protected, inherited]`

| Definition at line 46 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< HardwareVertexBuffer >::pUseCount`[protected, inherited]`

| Definition at line 47 of file OgreSharedPtr.h.

The documentation for this class was generated from the following file:

- OgreHardwareVertexBuffer.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:46:52 2008